<?php

namespace WFOTP\Admin;

/**
 * Admin menu class
 */
class FireMobileMetaBox
{
    /**
     * Initialize CMB2
     */
    function __construct()
    {
        add_action('cmb2_admin_init', [$this, 'fm_add_user_phone_field']);
    }


    public function fm_add_user_phone_field()
    {
        $prefix = 'fm_';

        $cmb2 = new_cmb2_box([
            'id'            => $prefix,
            'title'         => esc_html__('Phone number', 'wp-firebase-otp'),
            'object_types'  => ['user'],
        ]);
        $cmb2->add_field(array(
            'name'          => esc_html__('Phone Number Firemobile', 'wp-firebase-otp'),
            'id'            => $prefix . 'user_phone',
            'type'          => 'text',
            'attributes'  => array(
                'placeholder' => 'Enter return you  phone number',
                'readonly' => 'readonly',
                'disabled' => 'disabled',

            ),
        ));
    }
}
