<?php

namespace WFOTP\App;

// Exit if accessed directly.
defined('ABSPATH') || exit;
// Admin Classes
use WFOTP\Admin\Settings;
use WFOTP\Admin\CMB2;
// Front Classes
use WFOTP\App\AsyncHandler;
use WFOTP\App\LoadShortcodes;
use WFOTP\App\LoadScripts;
use WFOTP\App\TemplateLoader;

/**
 * Classes.
 */
class Classes
{
    use TemplateLoader;

    /**
     * __construct.
     */
    public function __construct()
    {
        add_action('plugins_loaded', [$this, 'classes']);
    }

    /**
     * classes.
     */
    public function classes()
    {
        
        new AsyncHandler();
        new LoadShortcodes();
        new LoadScripts();
       

    }
}
